function [timesteps,noddisp_x,noddisp_y,noddisp_z,A] = bin_read(name,nn,incnum)%'206m_PIP_utenslam_noddis.bin')
id = fopen(name);
%number of columns in .bin file, 3 dofs per node
ncolumns=nn*3+3;
A = fread(id,[ncolumns incnum],'float32');
A = A';
%removing unuseful FORTRAN code in first and last column
A(:,1) = [];
A(:,end) = [];

% filename = fullfile('M:\Masteroppgave\Matlab','myFile.mat');
% matobj = matfile(filename,'Writable',true);
% n = length(fieldnames(matobj));
% name2 = strcat('run', num2str(n));
% eval(['matobj.' name2 ' = A;'])

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%-Timestep vector-%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
timesteps=zeros(incnum,1);
for i=1:incnum
    timesteps(i,1)=A(i,1);
end

%%%%%%%%%%%%%%%%%%-nodal x-displacements for all timesteps-%%%%%%%%%%%%%%%%
noddisp_x=zeros(incnum,nn);
tellerx=0;
for i=2:3:ncolumns-2
    tellerx=tellerx+1;
    for j=1:incnum
        noddisp_x(j,tellerx)=A(j,i);
    end
end

%%%%%%%%%%%%%%%%%%-nodal y-displacements for all timesteps-%%%%%%%%%%%%%%%%
noddisp_y=zeros(incnum,nn);
tellery=0;
for i=3:3:ncolumns-1
    tellery=tellery+1;
    for j=1:incnum
        noddisp_y(j,tellery)=A(j,i);
    end
end

%%%%%%%%%%%%%%%%%%-nodal z-displacements for all timesteps-%%%%%%%%%%%%%%%%
noddisp_z=zeros(incnum,nn);
tellerz=0;
for i=4:3:ncolumns
    tellerz=tellerz+1;
    for j=1:incnum
        noddisp_z(j,tellerz)=A(j,i);
    end
end
disp('bin_read done')
end