function [vertpos,velint,dL,nvertpos,rel_vel]=nodevelocities(timesteps,d,incnum,nn,noddisp_z,nodvel_x,zs,u,ncpup)

%%%%%%%%%%%%%%%%%-Assigning nodes above MWL to vector-%%%%%%%%%%%%%%%%%%%%%
% vertpos=zeros(nn,1);
% i=nn;
% while (noddisp_z(1,i)>0)
%     vertpos((nn+1-i),1)=noddisp_z(1,i);
%     i=i-1;
% end
for i=1:nn
    vertpos(i,1)=noddisp_z(1,nn+1-i);
end

nvertpos=length(vertpos');              %Number of vertical positions above MWL
dL=vertpos(1,1)-vertpos(2,1);           %Distance between nodes

%%%%%%%%%%%%%%-Allocating wave particle velocities to nodes-%%%%%%%%%%%%%%%

for i=1:incnum
    velint(:,i)=interp1(zs(1:ncpup,i),u(1:ncpup,i),vertpos,'linear',0);  %velocity interpolated at the riser coord.
end

%%%%%%%%%%%%%%%%-Allocating relativ velocity to nodes-%%%%%%%%%%%%%%%%%%%%%

nodvel_x=flipud(nodvel_x');

for i=1:incnum
   
    for j=1:nvertpos
        if velint(j,i)~=0
        rel_vel(j,i)=velint(j,i)+nodvel_x(j,i);
        end
    end
end
disp('nodevelocities done')
end

